Subject: bug#51370: 28.0.60; tab-bar-history-mode: avoid micro-steps

From: Juri Linkov <[email-masked]>
Date: Thu, 18 Nov 2021 19:28:17 +0200

close 51370 29.0.50
thanks

> whenever I resize a window using the mouse,
> tab-bar-history-mode-back/forward will remember micro-steps that
> slightly resize the window, making it rather inconvenient to navigate
> the history. Moreover, the default history limit of 10 makes it quite
> easy to lose all useful history in an instant.
>
> winner-mode has a more sensible behavior in this regard: it just
> remembers the beginning and the end of the mouse resizing operation
> (but, sadly, it doesn't keep per-tab histories).
>
> Could the behavior of tab-bar-history-mode be made more similar to that
> of winner mode?

Thanks for the request.  I tested winner-mode, and noticed many problems:
some intermediate micro-steps saved, etc.  So I implemented a different solution
for tab-bar-history-mode.  And pushed to master, because this is not a regression:
it worked this way in Emacs 27, but the fix might break some workflows in Emacs 28,
so we need more time to test the new solution in master.